Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.console.navtree
Class AppletBrowser.AppletAdminContext

    java.lang.Object
      org.jboss.console.navtree.AppletBrowser.AppletAdminContext

All Implemented Interfaces:
  TreeContext

Enclosing class:
  AppletBrowser

public class AppletBrowser.AppletAdminContext
extends Object
implements TreeContext

Constructor Summary
`AppletBrowser.AppletAdminContext()`

Method Summary
`void` | `doAdminTreeAction(TreeAction action)`
`void` | `doPopupMenuAction(SimpleTreeNodeMenuEntry entry)`
`Properties` | `getJndiProperties()`
`SimpleRemoteMBeanInvoker` | `getRemoteMBeanInvoker()`
`String` | `getServiceJmxName()`
`String` | `localizeUrl(String sourceUrl)`
`void` | `openLink(String target, String frame)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppletBrowser.AppletAdminContext

    public AppletBrowser.AppletAdminContext()

Method Detail

### getRemoteMBeanInvoker

    public SimpleRemoteMBeanInvoker getRemoteMBeanInvoker()

  Specified by:
    `getRemoteMBeanInvoker` in interface `TreeContext`

### doAdminTreeAction

    public void doAdminTreeAction(TreeAction action)

  Specified by:
    `doAdminTreeAction` in interface `TreeContext`

### doPopupMenuAction

    public void doPopupMenuAction(SimpleTreeNodeMenuEntry entry)

  Specified by:
    `doPopupMenuAction` in interface `TreeContext`

### getJndiProperties

    public Properties getJndiProperties()

  Specified by:
    `getJndiProperties` in interface `TreeContext`

### getServiceJmxName

    public String getServiceJmxName()

  Specified by:
    `getServiceJmxName` in interface `TreeContext`

### openLink

    public void openLink(String target,
                         String frame)

### localizeUrl

    public String localizeUrl(String sourceUrl)

  Specified by:
    `localizeUrl` in interface `TreeContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.